여러 경로에 배치된 결정 풀

Moses Skoda엔지니어1분 소요

이 문제가 발생하면 API는 422 Unprocessable Content 응답을 반환합니다. 응답의 type 값은 https://lingo.dev/docs/api/errors/human-edit-route-pool-repeated입니다. 모든 오류에 공통으로 적용되는 형식은 오류 및 상태 코드를 참고하세요.

결정 풀 <pool>이 둘 이상의 경로에 배치되어 있습니다. 이 풀의 모든 로캘과 디렉터리를 하나의 경로에 모으세요.

필드#

본문에는 표준 멤버인 type, status, title, detail 외에 다음 필드가 포함됩니다. detail 텍스트는 이 필드를 바탕으로 생성되므로 클라이언트에서 자체 문구로 대체해 표시할 수 있습니다.

필드유형
poolstring

예시#

json
{
  "detail": "Decision pool <pool> is on more than one route. Put all its locales and directories on one route.",
  "pool": "<pool>",
  "type": "https://lingo.dev/docs/api/errors/human-edit-route-pool-repeated",
  "status": 422,
  "title": "Decision pool on several routes"
}

이 오류를 반환하는 엔드포인트#

  • PATCH /v2/engines/{id}
  • POST /v2/organizations/{orgId}/engines
  • POST /v2/organizations/{orgId}/provisioning/jobs